Debian Bug report logs - #528537
fuse: Support for GNU/kFreeBSD

version graph

Package: fuse; Maintainer for fuse is Daniel Baumann <mail@daniel-baumann.ch>; Source for fuse is src:fuse.

Reported by: Aurelien Jarno <aurel32@debian.org>

Date: Wed, 13 May 2009 13:54:01 UTC

Severity: important

Tags: patch

Found in version 2.7.4-1.1

Fixed in version fuse/2.7.4-2

Done: Adam Cécile (Le_Vert) <gandalf@le-vert.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#528537; Package fuse. (Wed, 13 May 2009 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
New Bug report received and forwarded. Copy sent to Bartosz Fenski <fenio@debian.org>. (Wed, 13 May 2009 13:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fuse: Support for GNU/kFreeBSD
Date: Wed, 13 May 2009 15:50:36 +0200
Package: fuse
Version: 2.7.4-1.1
Severity: important
Tags: patch
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

Please find below a patch to add GNU/kFreeBSD support to fuse. On this
system, the kernel module and the utilities are provided in a separate
source package called fuse4bsd. That's why the patch disable fuse-utils
on non Linux systems.

Could you please apply this patch in the next upload? Thanks in advance.


diff -u fuse-2.7.4/debian/rules fuse-2.7.4/debian/rules
--- fuse-2.7.4/debian/rules
+++ fuse-2.7.4/debian/rules
@@ -12,6 +12,7 @@
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 CFLAGS += -Wall -g
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -56,12 +57,14 @@
 	dh_clean -k -s
 	dh_installdirs -s
 	$(MAKE) install DESTDIR=$(DESTDIR)
+	dh_install -s --source=debian/tmp
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	dh_installdirs -pfuse-utils usr/share/lintian/overrides
 	cp $(CURDIR)/debian/fuse-utils.lintian \
 	   $(CURDIR)/debian/fuse-utils/usr/share/lintian/overrides/fuse-utils
-	dh_install -s --source=debian/tmp
 	install -D -m0640 $(CURDIR)/debian/fuse.conf \
 			  $(CURDIR)/debian/fuse-utils/etc/fuse.conf
+endif
 
 binary-arch: build install-arch
 	dh_testdir -s
@@ -70,11 +73,13 @@
 	dh_installdocs -plibfuse2 $(DOCS)
 	dh_installdocs -plibfuse-dev $(DOCS)
 	dh_installexamples -s
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	for PKG in fuse-utils; do \
 		rm -rf debian/$$PKG/usr/share/doc/$$PKG; \
 		cd debian/$$PKG/usr/share/doc/ && ln -s libfuse2 $$PKG; \
 	done
-	dh_installman -s -pfuse-utils debian/fusermount.1
+endif
+	dh_installman -s
 	dh_link -s
 	dh_strip -s
 	dh_compress -s -Xusr/share/doc/libfuse-dev/examples/
@@ -86,7 +91,9 @@
 	dh_shlibdeps -s
 	dh_gencontrol -s
 	dh_md5sums -s
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	chmod 4755 debian/fuse-utils/usr/bin/fusermount
+endif
 	dh_builddeb -s
 
 binary-indep:
diff -u fuse-2.7.4/debian/control fuse-2.7.4/debian/control
--- fuse-2.7.4/debian/control
+++ fuse-2.7.4/debian/control
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Bartosz Fenski <fenio@debian.org>
 Uploaders: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
-Build-Depends: debhelper (>= 5.0.37), autotools-dev, dpatch, lsb-base (>= 3.0-6), bzip2, libselinux1-dev | libselinux-dev
+Build-Depends: debhelper (>= 5.0.37), autotools-dev, dpatch, lsb-base (>= 3.0-6), bzip2, libselinux1-dev [!kfreebsd-amd64 !kfreebsd-i386] | libselinux-dev [!kfreebsd-amd64 !kfreebsd-i386]
 Homepage: http://fuse.sourceforge.net/
 Standards-Version: 3.8.0
 
 Package: fuse-utils
 Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2 (= ${binary:Version}), sed (>= 4), adduser, makedev (>= 2.3.1-80) | udev
-Architecture: any
+Architecture: avr32 alpha amd64 armel hppa i386 ia64 lpia m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc
 Description: Filesystem in USErspace (utilities)
  Simple interface for userspace programs to export a virtual
  filesystem to the Linux kernel.
@@ -24,7 +24,7 @@
 Package: libfuse-dev
 Section: libdevel
 Architecture: any
-Depends: libfuse2 (= ${binary:Version}), ${misc:Depends}, libselinux1-dev | libselinux-dev
+Depends: libfuse2 (= ${binary:Version}), ${misc:Depends}, libselinux1-dev [!kfreebsd-amd64 !kfreebsd-i386] | libselinux-dev [!kfreebsd-amd64 !kfreebsd-i386]
 Suggests: fuse-utils
 Description: Filesystem in USErspace (development files)
  Simple interface for userspace programs to export a virtual
diff -u fuse-2.7.4/debian/patches/00list fuse-2.7.4/debian/patches/00list
--- fuse-2.7.4/debian/patches/00list
+++ fuse-2.7.4/debian/patches/00list
@@ -1,0 +2 @@
+001-GNU_kFreeBSD
--- fuse-2.7.4.orig/debian/fuse-utils.manpages
+++ fuse-2.7.4/debian/fuse-utils.manpages
@@ -0,0 +1 @@
+debian/fusermount.1
only in patch2:
unchanged:
--- fuse-2.7.4.orig/debian/patches/001-GNU_kFreeBSD
+++ fuse-2.7.4/debian/patches/001-GNU_kFreeBSD
@@ -0,0 +1,166 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 001-GNU_kFreeBSD
+## by Aurelien Jarno <aurel32@debian.org>
+##
+## DP: GNU/kFreeBSD support
+
+@DPATCH@
+
+diff -Nurd fuse-2.7.4.orig/configure fuse-2.7.4/configure
+--- fuse-2.7.4.orig/configure	2008-07-25 20:19:05.000000000 +0200
++++ fuse-2.7.4/configure	2008-07-25 20:19:05.000000000 +0200
+@@ -11461,6 +11461,89 @@
+ 
+ fi
+ 
++{ echo "$as_me:$LINENO: checking for library containing devname_r" >&5
++echo $ECHO_N "checking for library containing devname_r... $ECHO_C" >&6; }
++if test "${ac_cv_search_devname_r+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  ac_func_search_save_LIBS=$LIBS
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++/* Override any GCC internal prototype to avoid an error.
++   Use char because int might match the return type of a GCC
++   builtin and then its argument prototype would still apply.  */
++#ifdef __cplusplus
++extern "C"
++#endif
++char devname_r ();
++int
++main ()
++{
++return devname_r ();
++  ;
++  return 0;
++}
++_ACEOF
++for ac_lib in '' freebsd; do
++  if test -z "$ac_lib"; then
++    ac_res="none required"
++  else
++    ac_res=-l$ac_lib
++    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
++  fi
++  rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++  *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++  (eval "$ac_link") 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest$ac_exeext &&
++       $as_test_x conftest$ac_exeext; then
++  ac_cv_search_devname_r=$ac_res
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++      conftest$ac_exeext
++  if test "${ac_cv_search_devname_r+set}" = set; then
++  break
++fi
++done
++if test "${ac_cv_search_devname_r+set}" = set; then
++  :
++else
++  ac_cv_search_devname_r=no
++fi
++rm conftest.$ac_ext
++LIBS=$ac_func_search_save_LIBS
++fi
++{ echo "$as_me:$LINENO: result: $ac_cv_search_devname_r" >&5
++echo "${ECHO_T}$ac_cv_search_devname_r" >&6; }
++ac_res=$ac_cv_search_devname_r
++if test "$ac_res" != no; then
++  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
++
++fi
++
+ libfuse_libs="$libfuse_libs $LIBS"
+ LIBS=
+ 
+diff -Nurd fuse-2.7.4.orig/configure.in fuse-2.7.4/configure.in
+--- fuse-2.7.4.orig/configure.in	2008-07-25 20:17:20.000000000 +0200
++++ fuse-2.7.4/configure.in	2008-07-25 20:17:20.000000000 +0200
+@@ -66,6 +66,7 @@
+ LIBS=
+ AC_SEARCH_LIBS(dlopen, [dl])
+ AC_SEARCH_LIBS(clock_gettime, [rt])
++AC_SEARCH_LIBS(devname_r, [freebsd])
+ libfuse_libs="$libfuse_libs $LIBS"
+ LIBS=
+ AC_ARG_WITH([libiconv-prefix],
+diff -Nurd fuse-2.7.4.orig/lib/fuse.c fuse-2.7.4/lib/fuse.c
+--- fuse-2.7.4.orig/lib/fuse.c	2008-07-25 20:17:21.000000000 +0200
++++ fuse-2.7.4/lib/fuse.c	2009-05-13 14:29:03.000000000 +0200
+@@ -626,7 +626,7 @@
+ 		fuse_do_prepare_interrupt(req, d);
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__FreeBSD_kernel__)
+ 
+ static int fuse_compat_open(struct fuse_fs *fs, const char *path,
+ 			    struct fuse_file_info *fi)
+@@ -3107,7 +3107,7 @@
+ 	if (!f->conf.ac_attr_timeout_set)
+ 		f->conf.ac_attr_timeout = f->conf.attr_timeout;
+ 
+-#ifdef __FreeBSD__
++#if defined (__FreeBSD__) || defined (__FreeBSD_kernel__)
+ 	/*
+ 	 * In FreeBSD, we always use these settings as inode numbers
+ 	 * are needed to make getcwd(3) work.
+@@ -3280,7 +3280,7 @@
+ 	fuse_modules = mod;
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__FreeBSD_kernel__)
+ 
+ static struct fuse *fuse_new_common_compat(int fd, const char *opts,
+ 					   const struct fuse_operations *op,
+diff -Nurd fuse-2.7.4.orig/lib/fuse_lowlevel.c fuse-2.7.4/lib/fuse_lowlevel.c
+--- fuse-2.7.4.orig/lib/fuse_lowlevel.c	2008-02-19 20:51:26.000000000 +0100
++++ fuse-2.7.4/lib/fuse_lowlevel.c	2009-05-13 14:29:03.000000000 +0200
+@@ -1321,7 +1321,7 @@
+ }
+ 
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__FreeBSD_kernel__)
+ 
+ static void fill_open_compat(struct fuse_open_out *arg,
+ 			     const struct fuse_file_info_compat *f)
+diff -Nurd fuse-2.7.4.orig/lib/helper.c fuse-2.7.4/lib/helper.c
+--- fuse-2.7.4.orig/lib/helper.c	2008-02-19 20:51:27.000000000 +0100
++++ fuse-2.7.4/lib/helper.c	2009-05-13 14:29:03.000000000 +0200
+@@ -356,7 +356,7 @@
+ 
+ #include "fuse_compat.h"
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__FreeBSD_kernel__)
+ 
+ struct fuse *fuse_setup_compat22(int argc, char *argv[],
+ 				 const struct fuse_operations_compat22 *op,
only in patch2:
unchanged:
--- fuse-2.7.4.orig/debian/patches/00patch-opts
+++ fuse-2.7.4/debian/patches/00patch-opts
@@ -0,0 +1 @@
+patch_opts="-g0 -f -Z --no-backup-if-mismatch"


-- System Information:
Debian Release: squeeze/sid
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 7.1-1-amd64
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#528537; Package fuse. (Wed, 13 May 2009 21:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
Extra info received and forwarded to list. Copy sent to Bartosz Fenski <fenio@debian.org>. (Wed, 13 May 2009 21:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 528537@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 528537@bugs.debian.org, Bartosz Fenski <fenio@debian.org>
Subject: Re: fuse: Support for GNU/kFreeBSD (updated patch).
Date: Wed, 13 May 2009 23:32:47 +0200
On Wed, May 13, 2009 at 03:50:36PM +0200, Aurelien Jarno wrote:
> Could you please apply this patch in the next upload? Thanks in advance.
> 

I just found that a dependency on libfreebsd-dev was missing in my 
previous patch, please find an updated patch below.

diff -u fuse-2.7.4/debian/rules fuse-2.7.4/debian/rules
--- fuse-2.7.4/debian/rules
+++ fuse-2.7.4/debian/rules
@@ -12,6 +12,7 @@
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 CFLAGS += -Wall -g
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -56,12 +57,11 @@
 	dh_clean -k -s
 	dh_installdirs -s
 	$(MAKE) install DESTDIR=$(DESTDIR)
-	dh_installdirs -pfuse-utils usr/share/lintian/overrides
-	cp $(CURDIR)/debian/fuse-utils.lintian \
-	   $(CURDIR)/debian/fuse-utils/usr/share/lintian/overrides/fuse-utils
 	dh_install -s --source=debian/tmp
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	install -D -m0640 $(CURDIR)/debian/fuse.conf \
 			  $(CURDIR)/debian/fuse-utils/etc/fuse.conf
+endif
 
 binary-arch: build install-arch
 	dh_testdir -s
@@ -70,11 +70,13 @@
 	dh_installdocs -plibfuse2 $(DOCS)
 	dh_installdocs -plibfuse-dev $(DOCS)
 	dh_installexamples -s
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	for PKG in fuse-utils; do \
 		rm -rf debian/$$PKG/usr/share/doc/$$PKG; \
 		cd debian/$$PKG/usr/share/doc/ && ln -s libfuse2 $$PKG; \
 	done
-	dh_installman -s -pfuse-utils debian/fusermount.1
+endif
+	dh_installman -s
 	dh_link -s
 	dh_strip -s
 	dh_compress -s -Xusr/share/doc/libfuse-dev/examples/
@@ -86,7 +88,9 @@
 	dh_shlibdeps -s
 	dh_gencontrol -s
 	dh_md5sums -s
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	chmod 4755 debian/fuse-utils/usr/bin/fusermount
+endif
 	dh_builddeb -s
 
 binary-indep:
diff -u fuse-2.7.4/debian/fuse-utils.install fuse-2.7.4/debian/fuse-utils.install
--- fuse-2.7.4/debian/fuse-utils.install
+++ fuse-2.7.4/debian/fuse-utils.install
@@ -2,0 +3 @@
+debian/fuse-utils 	usr/share/lintian/overrides/fuse-utils
diff -u fuse-2.7.4/debian/control fuse-2.7.4/debian/control
--- fuse-2.7.4/debian/control
+++ fuse-2.7.4/debian/control
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Bartosz Fenski <fenio@debian.org>
 Uploaders: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
-Build-Depends: debhelper (>= 5.0.37), autotools-dev, dpatch, lsb-base (>= 3.0-6), bzip2, libselinux1-dev | libselinux-dev
+Build-Depends: debhelper (>= 5.0.37), autotools-dev, dpatch, lsb-base (>= 3.0-6), bzip2, libselinux1-dev [!kfreebsd-amd64 !kfreebsd-i386] | libselinux-dev [!kfreebsd-amd64 !kfreebsd-i386]
 Homepage: http://fuse.sourceforge.net/
 Standards-Version: 3.8.0
 
 Package: fuse-utils
 Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2 (= ${binary:Version}), sed (>= 4), adduser, makedev (>= 2.3.1-80) | udev
-Architecture: any
+Architecture: avr32 alpha amd64 armel hppa i386 ia64 lpia m68k mips mipsel powerpc ppc64 s390 s390x sh4 sparc
 Description: Filesystem in USErspace (utilities)
  Simple interface for userspace programs to export a virtual
  filesystem to the Linux kernel.
@@ -24,7 +24,7 @@
 Package: libfuse-dev
 Section: libdevel
 Architecture: any
-Depends: libfuse2 (= ${binary:Version}), ${misc:Depends}, libselinux1-dev | libselinux-dev
+Depends: libfuse2 (= ${binary:Version}), ${misc:Depends}, libselinux1-dev [!kfreebsd-amd64 !kfreebsd-i386] | libselinux-dev [!kfreebsd-amd64 !kfreebsd-i386], libfreebsd-dev [kfreebsd-amd64 kfreebsd-i386]
 Suggests: fuse-utils
 Description: Filesystem in USErspace (development files)
  Simple interface for userspace programs to export a virtual
diff -u fuse-2.7.4/debian/patches/00list fuse-2.7.4/debian/patches/00list
--- fuse-2.7.4/debian/patches/00list
+++ fuse-2.7.4/debian/patches/00list
@@ -1,0 +2 @@
+001-GNU_kFreeBSD
--- fuse-2.7.4.orig/debian/fuse-utils.dirs
+++ fuse-2.7.4/debian/fuse-utils.dirs
@@ -0,0 +1 @@
+usr/share/lintian/overrides
--- fuse-2.7.4.orig/debian/fuse-utils.manpages
+++ fuse-2.7.4/debian/fuse-utils.manpages
@@ -0,0 +1 @@
+debian/fusermount.1
--- fuse-2.7.4.orig/debian/patches/00patch-opts
+++ fuse-2.7.4/debian/patches/00patch-opts
@@ -0,0 +1 @@
+patch_opts="-g0 -f -Z --no-backup-if-mismatch"
--- fuse-2.7.4.orig/debian/patches/001-GNU_kFreeBSD
+++ fuse-2.7.4/debian/patches/001-GNU_kFreeBSD
@@ -0,0 +1,166 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 001-GNU_kFreeBSD
+## by Aurelien Jarno <aurel32@debian.org>
+##
+## DP: GNU/kFreeBSD support
+
+@DPATCH@
+
+diff -Nurd fuse-2.7.4.orig/configure fuse-2.7.4/configure
+--- fuse-2.7.4.orig/configure	2008-07-25 20:19:05.000000000 +0200
++++ fuse-2.7.4/configure	2008-07-25 20:19:05.000000000 +0200
+@@ -11461,6 +11461,89 @@
+ 
+ fi
+ 
++{ echo "$as_me:$LINENO: checking for library containing devname_r" >&5
++echo $ECHO_N "checking for library containing devname_r... $ECHO_C" >&6; }
++if test "${ac_cv_search_devname_r+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  ac_func_search_save_LIBS=$LIBS
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++/* Override any GCC internal prototype to avoid an error.
++   Use char because int might match the return type of a GCC
++   builtin and then its argument prototype would still apply.  */
++#ifdef __cplusplus
++extern "C"
++#endif
++char devname_r ();
++int
++main ()
++{
++return devname_r ();
++  ;
++  return 0;
++}
++_ACEOF
++for ac_lib in '' freebsd; do
++  if test -z "$ac_lib"; then
++    ac_res="none required"
++  else
++    ac_res=-l$ac_lib
++    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
++  fi
++  rm -f conftest.$ac_objext conftest$ac_exeext
++if { (ac_try="$ac_link"
++case "(($ac_try" in
++  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
++  *) ac_try_echo=$ac_try;;
++esac
++eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
++  (eval "$ac_link") 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } && {
++	 test -z "$ac_c_werror_flag" ||
++	 test ! -s conftest.err
++       } && test -s conftest$ac_exeext &&
++       $as_test_x conftest$ac_exeext; then
++  ac_cv_search_devname_r=$ac_res
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++
++fi
++
++rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
++      conftest$ac_exeext
++  if test "${ac_cv_search_devname_r+set}" = set; then
++  break
++fi
++done
++if test "${ac_cv_search_devname_r+set}" = set; then
++  :
++else
++  ac_cv_search_devname_r=no
++fi
++rm conftest.$ac_ext
++LIBS=$ac_func_search_save_LIBS
++fi
++{ echo "$as_me:$LINENO: result: $ac_cv_search_devname_r" >&5
++echo "${ECHO_T}$ac_cv_search_devname_r" >&6; }
++ac_res=$ac_cv_search_devname_r
++if test "$ac_res" != no; then
++  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
++
++fi
++
+ libfuse_libs="$libfuse_libs $LIBS"
+ LIBS=
+ 
+diff -Nurd fuse-2.7.4.orig/configure.in fuse-2.7.4/configure.in
+--- fuse-2.7.4.orig/configure.in	2008-07-25 20:17:20.000000000 +0200
++++ fuse-2.7.4/configure.in	2008-07-25 20:17:20.000000000 +0200
+@@ -66,6 +66,7 @@
+ LIBS=
+ AC_SEARCH_LIBS(dlopen, [dl])
+ AC_SEARCH_LIBS(clock_gettime, [rt])
++AC_SEARCH_LIBS(devname_r, [freebsd])
+ libfuse_libs="$libfuse_libs $LIBS"
+ LIBS=
+ AC_ARG_WITH([libiconv-prefix],
+diff -Nurd fuse-2.7.4.orig/lib/fuse.c fuse-2.7.4/lib/fuse.c
+--- fuse-2.7.4.orig/lib/fuse.c	2008-07-25 20:17:21.000000000 +0200
++++ fuse-2.7.4/lib/fuse.c	2009-05-13 14:29:03.000000000 +0200
+@@ -626,7 +626,7 @@
+ 		fuse_do_prepare_interrupt(req, d);
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__FreeBSD_kernel__)
+ 
+ static int fuse_compat_open(struct fuse_fs *fs, const char *path,
+ 			    struct fuse_file_info *fi)
+@@ -3107,7 +3107,7 @@
+ 	if (!f->conf.ac_attr_timeout_set)
+ 		f->conf.ac_attr_timeout = f->conf.attr_timeout;
+ 
+-#ifdef __FreeBSD__
++#if defined (__FreeBSD__) || defined (__FreeBSD_kernel__)
+ 	/*
+ 	 * In FreeBSD, we always use these settings as inode numbers
+ 	 * are needed to make getcwd(3) work.
+@@ -3280,7 +3280,7 @@
+ 	fuse_modules = mod;
+ }
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__FreeBSD_kernel__)
+ 
+ static struct fuse *fuse_new_common_compat(int fd, const char *opts,
+ 					   const struct fuse_operations *op,
+diff -Nurd fuse-2.7.4.orig/lib/fuse_lowlevel.c fuse-2.7.4/lib/fuse_lowlevel.c
+--- fuse-2.7.4.orig/lib/fuse_lowlevel.c	2008-02-19 20:51:26.000000000 +0100
++++ fuse-2.7.4/lib/fuse_lowlevel.c	2009-05-13 14:29:03.000000000 +0200
+@@ -1321,7 +1321,7 @@
+ }
+ 
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__FreeBSD_kernel__)
+ 
+ static void fill_open_compat(struct fuse_open_out *arg,
+ 			     const struct fuse_file_info_compat *f)
+diff -Nurd fuse-2.7.4.orig/lib/helper.c fuse-2.7.4/lib/helper.c
+--- fuse-2.7.4.orig/lib/helper.c	2008-02-19 20:51:27.000000000 +0100
++++ fuse-2.7.4/lib/helper.c	2009-05-13 14:29:03.000000000 +0200
+@@ -356,7 +356,7 @@
+ 
+ #include "fuse_compat.h"
+ 
+-#ifndef __FreeBSD__
++#if !defined(__FreeBSD__) && !defined(__FreeBSD_kernel__)
+ 
+ struct fuse *fuse_setup_compat22(int argc, char *argv[],
+ 				 const struct fuse_operations_compat22 *op,

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#528537; Package fuse. (Wed, 01 Jul 2009 18:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Bartosz Fenski <fenio@debian.org>. (Wed, 01 Jul 2009 18:45:02 GMT) Full text and rfc822 format available.

Message #15 received at 528537@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: 528537@bugs.debian.org
Subject: #528537: fuse: Support for GNU/kFreeBSD
Date: Wed, 01 Jul 2009 20:27:53 +0200
Hello,

I'll care about this bug soon, maybe this week.
Can I send you a fixed package before uploading it (just to ensure it
does really works fine on kfreebsd) ?

Regards, Adam.





Tags added: patch Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 01 Jul 2009 18:48:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from "Adam Cécile (Le_Vert)" <gandalf@le-vert.net> to control@bugs.debian.org. (Wed, 01 Jul 2009 18:48:07 GMT) Full text and rfc822 format available.

Reply sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
You have taken responsibility. (Sat, 04 Jul 2009 03:54:04 GMT) Full text and rfc822 format available.

Notification sent to Aurelien Jarno <aurel32@debian.org>:
Bug acknowledged by developer. (Sat, 04 Jul 2009 03:54:05 GMT) Full text and rfc822 format available.

Message #24 received at 528537-close@bugs.debian.org (full text, mbox):

From: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
To: 528537-close@bugs.debian.org
Subject: Bug#528537: fixed in fuse 2.7.4-2
Date: Sat, 04 Jul 2009 03:32:55 +0000
Source: fuse
Source-Version: 2.7.4-2

We believe that the bug you reported is fixed in the latest version of
fuse, which is due to be installed in the Debian FTP archive:

fuse-utils_2.7.4-2_i386.deb
  to pool/main/f/fuse/fuse-utils_2.7.4-2_i386.deb
fuse_2.7.4-2.diff.gz
  to pool/main/f/fuse/fuse_2.7.4-2.diff.gz
fuse_2.7.4-2.dsc
  to pool/main/f/fuse/fuse_2.7.4-2.dsc
libfuse-dev_2.7.4-2_i386.deb
  to pool/main/f/fuse/libfuse-dev_2.7.4-2_i386.deb
libfuse2_2.7.4-2_i386.deb
  to pool/main/f/fuse/libfuse2_2.7.4-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528537@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Cécile (Le_Vert) <gandalf@le-vert.net> (supplier of updated fuse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 01 Jul 2009 21:00:52 +0200
Source: fuse
Binary: fuse-utils libfuse-dev libfuse2
Architecture: source i386
Version: 2.7.4-2
Distribution: unstable
Urgency: low
Maintainer: Bartosz Fenski <fenio@debian.org>
Changed-By: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Description: 
 fuse-utils - Filesystem in USErspace (utilities)
 libfuse-dev - Filesystem in USErspace (development files)
 libfuse2   - Filesystem in USErspace library
Closes: 502300 528537 533028
Changes: 
 fuse (2.7.4-2) unstable; urgency=low
 .
   * Ack previous NMU, thanks.
   * Initscript LSB headers now depend on $remote_fs (Closes: #533028).
   * Install fusermount with restricted permissions to avoid a race condition
     during package installation (Closes: #502300).
   * Bump Standards-Version.
   * Merge Aurelien Jarno's patch to support GNU/kFreeBSD (Closes: #528537).
   * Add missing pthread link for libulockmgr.
Checksums-Sha1: 
 cd7ce37c97c34700e1d8e012dfc8aed7a4fd6862 1252 fuse_2.7.4-2.dsc
 330732d0a31f39e2cac8998dd5ab3a031bb15cdc 14586 fuse_2.7.4-2.diff.gz
 e8002be5bb36a5f41b7f74ebe97f79575713d02e 16256 fuse-utils_2.7.4-2_i386.deb
 f6036bba2ab59c963b2f8dae5900d01e336c6183 153192 libfuse-dev_2.7.4-2_i386.deb
 1cd0a2d33cafbb21a025fbc4e67a4aeb382e5a6e 123798 libfuse2_2.7.4-2_i386.deb
Checksums-Sha256: 
 6424432f65fc77f1979ca8c07f1caad9786638a36679b161280dc4edaa8e602c 1252 fuse_2.7.4-2.dsc
 70468be075d9d60140b5187ecb16a54470e17d583f65908fa6e0f95aaba16e89 14586 fuse_2.7.4-2.diff.gz
 7a9fd5253172f2048fafb9c40a0dc8248287dc4a10573edd63e9f2554f30290c 16256 fuse-utils_2.7.4-2_i386.deb
 885130c7530982ee329b2cde4bbe4c96f086198fa87cdc7039834d94f3de0f2e 153192 libfuse-dev_2.7.4-2_i386.deb
 3db60a04bc9954f6e89671ccac1200d1de0310dfd4e8f19911aefdf85addeb90 123798 libfuse2_2.7.4-2_i386.deb
Files: 
 c35aeb79e02e5e795cdef8e97304ecdf 1252 libs optional fuse_2.7.4-2.dsc
 871eb7e9a346a27d95bb1eb2856b0d85 14586 libs optional fuse_2.7.4-2.diff.gz
 4729f6e3fef9cdbccac757963b4c62a5 16256 utils optional fuse-utils_2.7.4-2_i386.deb
 cfd9509cba7b51f1e450b10f1b513fb5 153192 libdevel optional libfuse-dev_2.7.4-2_i386.deb
 9072385ef9d09c42583bacf201190745 123798 libs optional libfuse2_2.7.4-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEAREDAAYFAkpOyTwACgkQAQwuptkwlkQheQCcDMjLz8g6mW+IqwTujbDlJXCL
F0UAnRiwUarFscHzZ2iRfJD3VrtUAvCj
=iVYZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Aug 2009 07:39:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:54:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.